import http.server
import socketserver
import socket

class MyHandler(http.server.SimpleHTTPRequestHandler):
    def do_GET(self):
        if self.path == '/':
            self.send_response(200)
            self.send_header('Content-type', 'text/html; charset=utf-8')
            self.end_headers()
            self.wfile.write(b'Hello world!')
        elif self.path == '/info':
            self.send_response(200)
            self.send_header('Content-type', 'text/html; charset=utf-8')
            self.end_headers()
            self.wfile.write('Виноградов_Дмитрий_Владимирович_714_группа'.encode('utf-8'))
        else:
            self.send_response(404)
            self.send_header('Content-type', 'text/html; charset=utf-8')
            self.end_headers()
            self.wfile.write(b'Not found.')

hostname = socket.gethostname()
port = 8080

with socketserver.TCPServer((hostname, port), MyHandler) as httpd:
    print(f"Сервер запущен на {hostname}:{port}")
    httpd.serve_forever()